Subject: bug#14574: prog-prettify-symbols breaks font-locking

From: Ted Zlatanov <[email-masked]>
Date: Mon, 17 Jun 2013 06:52:23 -0400

On Mon, 17 Jun 2013 11:22:33 +0200 Juanma Barranquero <[email-masked]> wrote: 

JB> On Mon, Jun 17, 2013 at 9:25 AM, Ted Zlatanov <[email-masked]> wrote:
>> IIUC, that would be pretty annoying when editing Perl or other languages
>> with Unicode (e.g. Cyrillic) data in the script.

JB> Not many scripts (relatively speaking) use the kind of character
JB> variation that needs composition (mostly arabic and many indic
JB> scripts, but not cyrilic, I think).

I didn't UC then :)  Yes, I agree it's probably not going to be a problem.

JB> But in any case, it is really common to deactivate font-locking while
JB> programming? I think I've never done it unless I was specifically
JB> trying to debug some problem with font-locking. Also, we're still a
JB> long way from another release, I suppose. Plenty of time to receive
JB> user complains and implement a more thorough fix, IMHO.

I'm OK with the change.

Ted